Categories:
  - Money
License: GPL-3.0-only
AuthorName: WallΞTH
AuthorEmail: walleth@walleth.org
WebSite: https://walleth.org
SourceCode: https://github.com/walleth/walleth
IssueTracker: https://github.com/walleth/walleth/issues

Name: WallETH
AutoName: WallΞTH
Description: |-
    Ethereum wallet Networks: main, ropsten, rinkeby, kovan

    Features: Tokens(ERC-20), ERC-67 / ERC-681 URLs, ERC-55 Checksums, TREZOR
    Support (via USB-OTG - model 1 and model T), watch only accounts, offline
    signing, JSON UTC key import/export, display value in fiat like EUR, NZD, USD,
    .. or MakerDAO DAI, display function  …

RepoType: git
Repo: https://github.com/walleth/walleth

Builds:
  - versionName: '0.15'
    versionCode: 15
    commit: '0.15'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.16'
    versionCode: 16
    commit: '0.16'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.17'
    versionCode: 17
    commit: '0.17'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.18'
    versionCode: 18
    commit: '0.18'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.20'
    versionCode: 20
    commit: '0.20'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.21'
    versionCode: 21
    commit: '0.21'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.23'
    versionCode: 23
    commit: '0.23'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.25'
    versionCode: 25
    commit: '0.25'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.26'
    versionCode: 26
    commit: '0.26'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.27'
    versionCode: 27
    commit: '0.27'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.28'
    versionCode: 28
    commit: '0.28'
    subdir: app
    gradle:
      - noFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.29'
    versionCode: 29
    commit: '0.29'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.31'
    versionCode: 31
    commit: '0.31'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.32'
    versionCode: 32
    commit: '0.32'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.33'
    versionCode: 33
    commit: '0.33'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.34'
    versionCode: 34
    commit: '0.34'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: '0.35'
    versionCode: 35
    commit: '0.35'
    subdir: app
    gradle:
      - withGethNoFirebaseForFDroid
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle

  - versionName: 0.42.1
    versionCode: 421
    commit: 0.42.1
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.2
    versionCode: 422
    commit: 0.42.2
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.3
    versionCode: 423
    commit: 0.42.3
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild:
      - sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
      - sed -i -e 's/4.10/4.9/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - build.gradle

  - versionName: 0.42.4
    versionCode: 424
    commit: 0.42.4
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.5
    versionCode: 425
    commit: 0.42.5
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.6
    versionCode: 426
    commit: 0.42.6
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.7
    versionCode: 427
    commit: 0.42.7
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.8
    versionCode: 428
    commit: 0.42.8
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.42.9
    versionCode: 429
    commit: 0.42.9
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.43.0
    versionCode: 430
    commit: 0.43.0
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.43.1
    versionCode: 431
    commit: 0.43.1
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.43.2
    versionCode: 432
    commit: 0.43.2
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.43.4
    versionCode: 434
    commit: 0.43.4
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.1
    versionCode: 441
    commit: 0.44.1
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.2
    versionCode: 442
    commit: 0.44.2
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.3
    versionCode: 443
    commit: 0.44.3
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.6
    versionCode: 446
    commit: 0.44.6
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.7
    versionCode: 447
    commit: 0.44.7
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.8
    versionCode: 448
    commit: 0.44.8
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.44.9
    versionCode: 449
    commit: 0.44.9
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.45.3
    versionCode: 453
    commit: 0.45.3
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.45.5
    versionCode: 455
    commit: 0.45.5
    subdir: app
    gradle:
      - noGethNoFirebaseForFDroidOnline
    prebuild: sed -i -e '/google-services/d'  -e '/withFirebaseCompile/d' build.gradle
    scanignore:
      - build.gradle

  - versionName: 0.45.8
    versionCode: 458
    commit: 0.45.8
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.45.9
    versionCode: 459
    commit: 0.45.9
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.0
    versionCode: 460
    commit: 0.46.0
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.1
    versionCode: 461
    commit: 0.46.1
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.2
    versionCode: 462
    commit: 0.46.2
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.3
    versionCode: 463
    commit: 0.46.3
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.4
    versionCode: 464
    commit: 0.46.4
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.46.8
    versionCode: 468
    commit: 0.46.8
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.47.2
    versionCode: 472
    commit: 0.47.2
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.48.0
    versionCode: 480
    commit: 0.48.0
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.48.2
    versionCode: 482
    commit: 0.48.2
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

  - versionName: 0.49.2
    versionCode: 492
    commit: 0.49.2
    subdir: app
    gradle:
      - noGeth
      - forFDroid
      - online
    prebuild: sed -i -e '/kotlin.bintray.com/d' ../build.gradle

MaintainerNotes: |-
    We remove https://kotlin.bintray.com/kotlinx Maven repo from build.gradle
    because it isn't whitelisted while all needed artifacts are available via
    JCenter.

AutoUpdateMode: Version %v
UpdateCheckMode: Tags .*[0-9]$
CurrentVersion: 0.49.2
CurrentVersionCode: 492
